
Foreman - Bug #5170

Global parameters can only be strings

04/11/2014 11:46 PM - Anonymous

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.4.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When I try to save a global parameter which has a boolean value, it is saved as 'true' or 'false'. This is inconsistent with the class

parameters which can be set to a variety of different types.

Related issues:

Related to Foreman - Tracker #4470: Usability of parameters and overrides New

Is duplicate of Foreman - Feature #4127: Array, Boolean and other types suppo... Closed

History

#1 - 04/12/2014 12:06 AM - Stephen Benjamin

- Related to Feature #4127: Array, Boolean and other types support in "hostgroup parameters" added

#2 - 04/12/2014 12:07 AM - Stephen Benjamin

- Related to Tracker #4470: Usability of parameters and overrides added

#3 - 03/16/2015 09:59 AM - Tom Caspy

- Related to deleted (Feature #4127: Array, Boolean and other types support in "hostgroup parameters")

#4 - 03/16/2015 09:59 AM - Tom Caspy

- Is duplicate of Feature #4127: Array, Boolean and other types support in "hostgroup parameters" added

#5 - 03/16/2015 09:59 AM - Tom Caspy

- Status changed from New to Duplicate
